> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onboarding Bundles



## OpenAPI

````yaml /api-reference/openapi/lite.json get /onboarding/{merchant_id}/onboardings
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /onboarding/{merchant_id}/onboardings:
    get:
      summary: Get Onboarding Bundles
      operationId: get_onboarding_bundles_onboarding__merchant_id__onboardings_get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            title: Merchant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ThemeOnboardingResult'
                title: >-
                  Response Get Onboarding Bundles Onboarding  Merchant Id 
                  Onboardings Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    ThemeOnboardingResult:
      properties:
        theme_id:
          type: integer
          title: Theme Id
        timestamp:
          type: string
          format: date-time
          title: Timestamp
        has_changes:
          type: boolean
          title: Has Changes
        resources:
          items:
            $ref: '#/components/schemas/OriginalThemeOnboardingResource'
          type: array
          title: Resources
      type: object
      required:
        - theme_id
        - timestamp
        - has_changes
        - resources
      title: ThemeOnboardingResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OriginalThemeOnboardingResource:
      properties:
        path:
          type: string
          format: path
          title: Path
        content:
          type: string
          title: Content
        type:
          type: string
          enum:
            - collection_template
            - product_grid
            - product_card
            - settings
            - empty_template
            - empty_grid
          title: Type
        patched_resource:
          anyOf:
            - $ref: '#/components/schemas/ThemeOnboardingResource'
            - type: 'null'
        changed:
          type: boolean
          title: Changed
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - path
        - content
        - type
        - patched_resource
        - changed
        - error
      title: OriginalThemeOnboardingResource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ThemeOnboardingResource:
      properties:
        path:
          type: string
          format: path
          title: Path
        content:
          type: string
          title: Content
      type: object
      required:
        - path
        - content
      title: ThemeOnboardingResource
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````